Last Comment Bug 265211 - l10n CVS request: British English (en-GB) Mark Tyndall <moz_en-gb@tyndall.org.uk>
: l10n CVS request: British English (en-GB) Mark Tyndall <moz_en-gb@tyndall.org...
Status: RESOLVED FIXED
voucher, sshkey
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Marcia Knous [:marcia - use ni]
: Daniel (Leaf) Nunes
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-20 04:06 PDT by Mark Tyndall
Modified: 2004-11-29 15:19 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
ssh key (688 bytes, text/plain)
2004-10-20 04:08 PDT, Mark Tyndall
no flags Details
en-GB locale files for Firefox (182.39 KB, application/zip)
2004-10-21 04:54 PDT, Mark Tyndall
no flags Details

Description Mark Tyndall 2004-10-20 04:07:00 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-GB; rv:1.7.3) Gecko/20040910
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-GB; rv:1.7.3) Gecko/20040910

Request for l10n CVS access for en-GB localisation


Reproducible: Always
Steps to Reproduce:
Comment 1 Mark Tyndall 2004-10-20 04:08:40 PDT
Created attachment 162687 [details]
ssh key
Comment 2 Mark Tyndall 2004-10-20 04:26:53 PDT
form FAXed.
Comment 3 Mark Tyndall 2004-10-21 04:54:58 PDT
Created attachment 162842 [details]
en-GB locale files for Firefox

Zip contains translated files from 
mozilla/browser/locales/en-GB/*
mozilla/toolkit/locales/en-GB/*

ready (I hope ;) for CVS insertion.
Line endings are \n
Comment 4 Gervase Markham [:gerv] 2004-10-27 08:16:03 PDT
Go Mark :-)

Gerv
Comment 5 Constantine A. Murenin 2004-11-01 18:10:27 PST
Requesting blocking-aviary1.0 (as there is no blocking-aviary1.0-L10N for this
product). 
Comment 6 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2004-11-01 21:03:05 PST
This looks great. Initial files committed, and I vouch.
Comment 7 Axel Hecht 2004-11-03 06:41:00 PST
marcia, did that fax make it to you?
Comment 8 Marcia Knous [:marcia - use ni] 2004-11-03 15:43:18 PST
fax and hard copy received.
Comment 9 Marcia Knous [:marcia - use ni] 2004-11-10 13:37:57 PST
I believe all of you now have access, if you could please confirm so I can close
out these bugs.
Comment 10 Mark Tyndall 2004-11-12 04:42:12 PST
Bother - I get this:

C:\stuff\Firefox\lsrc>cvs version
Client: Concurrent Versions System (CVS) 1.11.17 (client)
Server: Server refused our key
No supported authentication methods left to try!
cvs [version aborted]: end of file from server (consult above messages if any)

C:\stuff\Firefox\lsrc> 

This is using cvs 1.11.17 on win 2K (from cvshome.org) (also tried 1.11.5, which
was doing anon connections fine),
and plink 0.56 (part of PuTTY); key pair was generated with PuTTYgen.

Necessary environment variables:
CVSROOT=:ext:mozilla:/l10n
CVS_RSH=plink

plink is in my path, and the 'mozilla' in CVSROOT is the sessionname with the
connection settings that plink uses (plink's help includes instructions on how
to use it with cvs, which I'm following here):
  host-name: cvs-mirror.mozilla.org
  port: 22
  protocol: SSH
  auto-login username: moz_en-gb%tyndall.org.uk
  preferred ssh protocol version: 2
and the private key is the correct one.

suggestions?
Comment 11 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2004-11-12 04:49:10 PST
Mark, the main cvs server is cvs.mozilla.org, not cvs-mirror.mozilla.org.
cvs-mirror only does anonymous readonly connections.
Comment 12 Mark Tyndall 2004-11-12 07:08:11 PST
Right, I changed that, and still no luck.  AFAICT I'm not getting past the
user/pass challenge.  I tried with cvs/plink (as above) and then just trying to
log in using PuTTY 0.56; I also tried using the ssh client in OpenSSH
(OpenSSH_3.8.1p1, OpenSSL 0.9.7d 17 Mar 2004).  The output from that gives

>ssh -v -i moz-openssh moz_en-gb%tyndall.org.uk@cvs.mozilla.org
OpenSSH_3.8.1p1, OpenSSL 0.9.7d 17 Mar 2004
debug1: Connecting to cvs.mozilla.org [207.126.111.201] port 22.
debug1: Connection established.
debug1: identity file moz-openssh type -1
debug1: Remote protocol version 1.99, remote software version OpenSSH_3.1p1
debug1: match: OpenSSH_3.1p1 pat OpenSSH_2.*,OpenSSH_3.0*,OpenSSH_3.1*
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_3.8.1p1
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: server->client aes128-cbc hmac-md5 none
debug1: kex: client->server aes128-cbc hmac-md5 none
debug1: SSH2_MSG_KEX_DH_GEX_REQUEST(1024<1024<8192) sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP
debug1: SSH2_MSG_KEX_DH_GEX_INIT sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY
debug1: Host 'cvs.mozilla.org' is known and matches the RSA host key.
debug1: Found key in /cygdrive/c/.ssh/known_hosts:1
debug1: ssh_rsa_verify: signature correct
debug1: SSH2_MSG_NEWKEYS sent
debug1: expecting SSH2_MSG_NEWKEYS
debug1: SSH2_MSG_NEWKEYS received
debug1: SSH2_MSG_SERVICE_REQUEST sent
debug1: SSH2_MSG_SERVICE_ACCEPT received
debug1: Authentications that can continue: publickey,keyboard-interactive
debug1: Next authentication method: publickey
debug1: Trying private key: moz-openssh
debug1: read PEM private key done: type DSA
debug1: Authentications that can continue: publickey,keyboard-interactive
debug1: Next authentication method: keyboard-interactive
debug1: Authentications that can continue: publickey,keyboard-interactive
debug1: No more authentication methods to try.
Permission denied (publickey,keyboard-interactive).

PuTTY fails to log in in the same way (but its log file was much more verbose).
Comment 13 Myk Melez [:myk] [@mykmelez] 2004-11-29 15:19:49 PST
Ok, your account has been created.  Your username is the email listed in the
summary of this bug, with % in place of @.  To check out the aviary branch:

cvs -d:ext:<username>@cvs.mozilla.org:/l10n co -r AVIARY_1_0_20040515_BRANCH mozilla

See the CVS over SSH FAQ for more information:

http://www.mozilla.org/cvs-ssh-faq.html

Note You need to log in before you can comment on or make changes to this bug.